package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.business.entity.TBDelayWarn;
import com.qmth.sop.business.entity.TBDelayWarnDetail;
import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.enums.DelayWarnStatusEnum;
import com.qmth.sop.common.enums.DelayWarnTypeEnum;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 延期预警跟进表
 * </p>
 *
 * @author dhshu
 * @since 2023-08-01
 */
@ApiModel(value = "TBDelayWarnResult对象", description = "延期预警查询")
public class TBDelayWarnResult extends TBDelayWarn implements Serializable {

    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "服务单元")
    private String service;

    @ApiModelProperty(value = "负责人")
    private String userName;

    @ApiModelProperty(value = "客户名称")
    private String custom;

    @ApiModelProperty(value = "客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty(value = "项目名称")
    private String crmName;


    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "跟进记录")
    List<TBDelayWarnDetail> tbDelayWarnDetails=new ArrayList<>();

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCustom() {
        return custom;
    }

    public void setCustom(String custom) {
        this.custom = custom;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public String getCrmName() {
        return crmName;
    }

    public void setCrmName(String crmName) {
        this.crmName = crmName;
    }

    public List<TBDelayWarnDetail> getTbDelayWarnDetails() {
        return tbDelayWarnDetails;
    }

    public void setTbDelayWarnDetails(List<TBDelayWarnDetail> tbDelayWarnDetails) {
        this.tbDelayWarnDetails = tbDelayWarnDetails;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }
}
